---
layout: page
title: What's New
include_in_header: true
---

<h2 style="color: blue">What's New</h2>

<h3 style="color: green">v0.30</h3>
- Makes app accent color configurable.
- Distinguished hidden notes with a lock icon.
- sNotz now uses Material3 day-night theme.
- Replaced depreciated onActivityResult with ActivityResultLauncher.
- Improved checklists.
- Updated Czech translations.
- Miscellaneous changes.

<h3 style="color: green">v0.29</h3>
- Creating widgets now requires authentication (if set).
- Fixed notifications on Android 13 and above.
- Improved reminder status text and icons.
- Added partial Czech Translations.
- Updated Norwegian transactions.
- Miscellaneous changes.

<h3 style="color: green">v0.28</h3>
- Now possible to delete or modify reminders.
- Miscellaneous changes.

<h3 style="color: green">v0.27</h3>
- Re-designed PIN authentication.
- Improved pop up menu's in the main screen.
- Added Hungarian, Polish & Bengali transactions.
- Updated other transactions.
- Updated build tools.
- Miscellaneous changes.

<h3 style="color: green">v0.26</h3>
- Fixed a bug leading to data loss when PIN lock is enabled.
- sNotz will now allow restoring notes after an accidental data loss.
- Updated build tools.
- Updated transactions.
- Miscellaneous changes.

<h3 style="color: green">v0.25</h3>
- Improved Auto Save mode.
- Checklist Widget colors are now configurable.
- Miscellaneous changes.

<h3 style="color: green">v0.24</h3>
- sNotz Widgets: Fixed crashing on Android 12.
- sNotz Reminders: Fixed crashing on Android 12.
- Notes are now deletable by simply clearing the contents.
- Updated Italian, Spanish, Portuguese (Brazilian) & Norwegian translations.
- Miscellaneous changes.

<h3 style="color: green">v0.23</h3>
- Added an option to use random colors for new notes.
- sNotz will now record and prompt to report crashes.
- Improved reminder notification.
- Updated Italian, French & Norwegian translations.
- Miscellaneous changes.

<hr>

<h3 style="color: green">v0.22</h3>
- Added QR Code (scan, read & share) support for notes & checklists.
- Added new long-click action menu layout.
- Miscellaneous changes.

<hr>

<h3 style="color: green">v0.21</h3>
- Fixed crashing widgets page.
- Fixed settings page checkbox positions wrongly shown.
- Updated translation request.
- Updated Spanish translation.
- Updated build tools to latest.
- Miscellaneous changes.

<hr>

<h3 style="color: green">v0.20</h3>
- Hide "Add Note" button when scrolling recyclerview.
- Improved settings page options
- Added Credits page & App Theme menu
- Fixed crashing while restoring notes from setting page
- Fixed note colour selector displaying wrong colour.
- Improve settings page options.
- Added Swedish & Hindi Translations & updated others.
- Miscellaneous changes.

<hr>

<h3 style="color: green">v0.19</h3>
- sNotz now supports Android 4.2 and above (credits: @cloneconf).
- Main UI: Adapt with custom font size/style.
- sNotz now supports directly capture notes from shared text.
- Note Picker page is now improved and simplified.
- sNotz backup is now saved in Base64 format.
- Now possible to set number of notes in a Row.
- Updated and improved welcome notes.
- Added Arabic, French and Turkish translations.
- Fixed several other bugs.
- Miscellaneous changes.

<hr>

<h3 style="color: green">v0.18</h3>
- Introduced sNotz widgets for notes/checklists.
- Largely improved UI loading.
- Implemented auto-save mode for notes.
- Improved opening notes from reminder notification.
- Improved creating checklists.
- Added Portuguese (Brazilian), German, and Italian translations.
- Updated Norwegian translation.
- Miscellaneous changes.

<hr>

<h3 style="color: green">v0.17</h3>
- Simplified & fixed issues related with reminders (sNotz won't save database of notes anymore).
- Welcome page is now more informative.
- Improved note backup dialog.
- Removed vertical dividers from main UI.
- Improved app UI and searching.
- Updated Norwegian translation.
- Miscellaneous changes.

<hr>

<h3 style="color: green">v0.16</h3>
- Cleaning all notes will now request authentication (if Biometric/PIN enabled).
- Added option to configure (globally) font size/style of notes.
- Settings page is now more organized (categorized into sections).
- Added Read-Only mode for existing notes.
- Fixed cursor not visible on default color scheme.
- Updated gradle plugin to latest.
- Miscellaneous changes.

<hr>

<h3 style="color: green">v0.15</h3>
- Fixed remaining reminders getting corrupted after an event is notified.
- Allow swipe removing reminders.
- Completely changed note's time stamp storing logic for good reasons (Sorry for the inconvenience).
- Added Norwegian translations (credits to @FTno).
- Miscellaneous changes.

<hr>

<h3 style="color: green">v0.14</h3>
- Allow PIN protection if Biometric lock is unavailable.
- Introduce sNotz checklists (create, import, and share checklists).
- sNotz reminder now supports selecting any year, month and days.
- Delete notes and checklists by swipe (left or delete).
- Allow including an image with notes (not recommended).
- Simplified and largely improved note add, delete, and update tasks.
- A lot of work for a better UI and fast app response.
- Miscellaneous changes.

<hr>

<h3 style="color: green">v0.13</h3>
- Improve app UI and overall functionalities.
- Now comes with a Brand New color picker.
- Removed character related limitations on notes.
- sNotz now supports custom colors for individual notes.
- Allow creating reminders for individual notes (experimental).
- Option to sort notes by background color.
- Fixed restoring notes on Android 11.
- A lot more changes.

<hr>

<h3 style="color: green">v0.12</h3>
- Restoring in Android 11 is replaced with a copy-paste option.
- Export path is now moved to download folder.
- Improved permission handling.
- Miscellaneous changes.

<hr>

<h3 style="color: green">v0.11</h3>
- Target latest Android SDK.
- Updated to latest Gradle plugin.
- Added Spanish translation.
- Miscellaneous changes.

<hr>

<h3 style="color: green">v0.9</h3>
- Added more note sorting options.
- sNotz will now allow opening text files and backup files directly from File Manager.
- Overall improved app layout.
- Miscellaneous changes.

<hr>

<h3 style="color: green">v0.8</h3>
- App will now allow to export notes (both individual and as a whole) as text file.
- App will now allow to use custom names for back-up files.
- Added link to app translation page.
- Updated Build tools.
- Miscellaneous changes.

<hr>

<h3 style="color: green">v0.7</h3>
- Added Amharic Translations.
- Updated Build tools.
- Miscellaneous changes.

<hr>

<h3 style="color: green">v0.6</h3>
- Added Indonesian translations.
- Updated Build tools.
- Miscellaneous changes.

<hr>

<h3 style="color: green">v0.5</h3>
- Completely removed AdMob banner Ad from app.
- Updated Settings page.
- Miscellaneous changes.

<hr>

<h3 style="color: green">v0.4</h3>
- Added Russian and Ukrainian translations.

<hr>

<h3 style="color: green">v0.3</h3>
- Added a dedicated settings page.
- Added welcome note.
- Updated About page.
- Rearrange menu icons.
- Miscellaneous changes.

<hr>

<h3 style="color: green">v0.2</h3>
- Support Biometric lock.
- Append hidden status to json file.
- Allow full data backup.
- Added a bunch of information to settings menu.
- Slightly improved app layout.
- Miscellaneous changes.

<hr>

<h3 style="color: green">v0.1</h3>
- Initial release.
